<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.specialanalysis.RMpWpPowerDetailQMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpWpPowerDetailQ">
        <id column="measurement_point_id" property="measurementPointId" />
        <result column="data_date" property="dataDate" />
        <result column="monitor_tag" property="monitorTag" />
        <result column="load_rate_avg" property="loadRateAvg" />
        <result column="load_rate_95" property="loadRate95" />
        <result column="load_rate_99" property="loadRate99" />
        <result column="is_v" property="isV" />
        <result column="is_i" property="isI" />
        <result column="is_unbalance" property="isUnbalance" />
        <result column="is_i_neg" property="isINeg" />
        <result column="v_times" property="vTimes" />
        <result column="i_times" property="iTimes" />
        <result column="total_active_power_99" property="totalActivePower99" />
        <result column="total_active_power_95" property="totalActivePower95" />
        <result column="total_active_power_avg" property="totalActivePowerAvg" />
        <result column="ap_active_power_95" property="apActivePower95" />
        <result column="ap_active_power_99" property="apActivePower99" />
        <result column="ap_active_power_avg" property="apActivePowerAvg" />
        <result column="bp_active_power_95" property="bpActivePower95" />
        <result column="bp_active_power_99" property="bpActivePower99" />
        <result column="bp_active_power_avg" property="bpActivePowerAvg" />
        <result column="cp_active_power_95" property="cpActivePower95" />
        <result column="cp_active_power_99" property="cpActivePower99" />
        <result column="cp_active_power_avg" property="cpActivePowerAvg" />

        <result column="ap_fundamental_voltage" property="apFundamentalVoltage" />
        <result column="bp_fundamental_voltage" property="bpFundamentalVoltage" />
        <result column="cp_fundamental_voltage" property="cpFundamentalVoltage" />
        <result column="negative_sequence_voltage_unbalance" property="negativeSequenceVoltageUnbalance" />
        <result column="grid_dip_num" property="gridDipNum" />
        <result column="offline_num" property="offlineNum" />
    </resultMap>

</mapper>
